Model deployment
Retrieve the logs for a specific Model Deployment
Retrieves the logs for a specific Model Deployment entity by id.
GET
/
api
/
modelServing
/
v1
/
modelDeployments
/
{modelDeploymentId}
/
logs
/
{logSuffix}
Retrieve the logs for a specific Model Deployment
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/logs/{logSuffix} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/logs/{logSuffix}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/logs/{logSuffix}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"log": "<string>",
"streamType": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"timeNano": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
]{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
The id of the Model Deployment whose logs to retrieve
Generated suffix for the log key corresponding to the requested logs
Response
Logs of the Model Deployment with the requested id.
The content of the log line.
The type of stream the log line is sourced from.
The tags of the log line.
Show child attributes
Show child attributes
The time in nanoseconds of the log line.
The timestamp of the log line.
Last modified on September 3, 2026
Was this page helpful?
⌘I
Retrieve the logs for a specific Model Deployment
